Bug 1948001 (CVE-2021-3536) - CVE-2021-3536 wildfly: XSS via admin console when creating roles in domain mode
Summary: CVE-2021-3536 wildfly: XSS via admin console when creating roles in domain mode
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3536
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1928232 1957379
TreeView+ depends on / blocked
 
Reported: 2021-04-09 17:47 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-09-23 16:29 UTC (History)
80 users (show)

Fixed In Version: Wildfly 23.0.2.Final
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Wildfly. While creating a new role in the domain mode via the admin console, it is possible to add a payload in the name field, leading to a Cross-site scripting attack (XSS). The highest threat from this vulnerability is to confidentiality and integrity.
Clone Of:
Environment:
Last Closed: 2021-07-13 21:54:45 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:2692 0 None None None 2021-07-13 13:07:23 UTC
Red Hat Product Errata RHSA-2021:2693 0 None None None 2021-07-13 13:01:03 UTC
Red Hat Product Errata RHSA-2021:2694 0 None None None 2021-07-13 13:11:50 UTC
Red Hat Product Errata RHSA-2021:2696 0 None None None 2021-07-13 13:00:00 UTC
Red Hat Product Errata RHSA-2021:2755 0 None None None 2021-07-15 15:26:22 UTC
Red Hat Product Errata RHSA-2021:2965 0 None None None 2021-07-29 19:19:25 UTC
Red Hat Product Errata RHSA-2021:3656 0 None None None 2021-09-23 16:15:38 UTC
Red Hat Product Errata RHSA-2021:3658 0 None None None 2021-09-23 16:23:57 UTC
Red Hat Product Errata RHSA-2021:3660 0 None None None 2021-09-23 16:29:45 UTC

Description Guilherme de Almeida Suckevicz 2021-04-09 17:47:23 UTC
A flaw was found in Wildfly. When creating a new role in domain mode via the admin console, is possible to add a payload in the name field, leading to XSS.

Comment 4 Guilherme de Almeida Suckevicz 2021-04-12 14:25:33 UTC
Acknowledgments:

Name: Damian Bury

Comment 11 Todd Cullum 2021-05-17 22:54:32 UTC
Statement:

This flaw does not affect Red Hat CodeReady Studio 12 because only the wildfly client is used and domain mode is not used.

Comment 12 Jonathan Christison 2021-06-15 10:11:35 UTC
Marking Red Hat AMQ Broker 7 as not being affected, it does not consume the affected org.jboss.hal:hal-ballroom component

Comment 13 errata-xmlrpc 2021-07-13 12:59:47 UTC
This issue has been addressed in the following products:

  EAP 7.3.8

Via RHSA-2021:2696 https://access.redhat.com/errata/RHSA-2021:2696

Comment 14 errata-xmlrpc 2021-07-13 13:00:51 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 7

Via RHSA-2021:2693 https://access.redhat.com/errata/RHSA-2021:2693

Comment 15 errata-xmlrpc 2021-07-13 13:07:12 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 6

Via RHSA-2021:2692 https://access.redhat.com/errata/RHSA-2021:2692

Comment 16 errata-xmlrpc 2021-07-13 13:11:39 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 8

Via RHSA-2021:2694 https://access.redhat.com/errata/RHSA-2021:2694

Comment 17 Product Security DevOps Team 2021-07-13 21:54:45 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3536

Comment 18 errata-xmlrpc 2021-07-15 15:26:18 UTC
This issue has been addressed in the following products:

  Red Hat EAP-XP 2.0.0 via EAP 7.3.x base

Via RHSA-2021:2755 https://access.redhat.com/errata/RHSA-2021:2755

Comment 19 Jonathan Christison 2021-07-19 10:58:40 UTC
Marking Red Hat Process Automation Manager and Red Hat Decision Manager (RHPAM & RHDM) as not affected, this is because it does not consume the affected org.jboss.hal:hal-ballroom component.

Comment 20 errata-xmlrpc 2021-07-29 19:19:21 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4.8

Via RHSA-2021:2965 https://access.redhat.com/errata/RHSA-2021:2965

Comment 21 Jonathan Christison 2021-09-01 15:31:10 UTC
Marking Red Hat Integration Camel-K, Camel-Quarkus and Service Registry as not affected, this is because none of these products consume the affected org.jboss.hal:hal-ballroom component.

Comment 22 errata-xmlrpc 2021-09-23 16:15:34 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 on RHEL 7

Via RHSA-2021:3656 https://access.redhat.com/errata/RHSA-2021:3656

Comment 23 errata-xmlrpc 2021-09-23 16:23:54 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 for RHEL 8

Via RHSA-2021:3658 https://access.redhat.com/errata/RHSA-2021:3658

Comment 24 errata-xmlrpc 2021-09-23 16:29:41 UTC
This issue has been addressed in the following products:

  EAP 7.4.1 release

Via RHSA-2021:3660 https://access.redhat.com/errata/RHSA-2021:3660


Note You need to log in before you can comment on or make changes to this bug.